Download a workflow response's material
curl --request GET \
--url https://api.scholarlysoftware.com/api/v1/workflow_responses/{id}/materials/{material_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.scholarlysoftware.com/api/v1/workflow_responses/{id}/materials/{material_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.scholarlysoftware.com/api/v1/workflow_responses/{id}/materials/{material_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"errors": [
{
"status": "<string>",
"title": "<string>",
"detail": "<string>"
}
]
}{
"errors": [
{
"status": "<string>",
"title": "<string>",
"detail": "<string>"
}
]
}{
"errors": [
{
"status": "<string>",
"title": "<string>",
"detail": "<string>"
}
]
}{
"errors": [
{
"status": "<string>",
"title": "<string>",
"detail": "<string>"
}
]
}Workflow Responses
Download a workflow response's material
Redirects to a short-lived link to a Generated material of a completed workflow response, as a PDF. The material’s download_url on the response links here. A candidate receives the faculty version. While the PDF renders after the response completes or changes, the request answers 503. Retry after the Retry-After seconds.
GET
/
api
/
v1
/
workflow_responses
/
{id}
/
materials
/
{material_id}
Download a workflow response's material
curl --request GET \
--url https://api.scholarlysoftware.com/api/v1/workflow_responses/{id}/materials/{material_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.scholarlysoftware.com/api/v1/workflow_responses/{id}/materials/{material_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.scholarlysoftware.com/api/v1/workflow_responses/{id}/materials/{material_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"errors": [
{
"status": "<string>",
"title": "<string>",
"detail": "<string>"
}
]
}{
"errors": [
{
"status": "<string>",
"title": "<string>",
"detail": "<string>"
}
]
}{
"errors": [
{
"status": "<string>",
"title": "<string>",
"detail": "<string>"
}
]
}{
"errors": [
{
"status": "<string>",
"title": "<string>",
"detail": "<string>"
}
]
}⌘I